import moment from "moment";

export const rangePresets: any = {
    '今天排行': [moment(), moment()],
    '昨天排行': [moment().subtract(1, 'd'), moment().subtract(1, 'd')],
    '7日排行': [moment().subtract(7, 'd'), moment()],
    '30日排行': [moment().subtract(30, 'd'), moment()]
};

export const czPresets: any = {
    '今天': [moment(), moment()],
    '昨天': [moment().subtract(1, 'd'), moment().subtract(1, 'd')],
    '7日': [moment().subtract(7, 'd'), moment()],
    '30日': [moment().subtract(30, 'd'), moment()]
};

// 推广媒体
export enum TYPE {
    'MP' = '腾讯MP',
    'GDT' = '腾讯GDT',
    'BYTE' = '头条'
}

export const gameClassifyEnum = {
    '1': 'APP',
    '2': '抖音小游戏',
    '3': 'Android App',
    '4': 'Ios App',
    '5': 'H5游戏',
    '6': '微信小游戏'
}